;F stand alone 68k ROM code - outputs chars from 0x20 to 0x80 and loops
;    org	0
     dc.l start
     dc.l 0
start:
    movea.l	#$A0000,A0 ; data
    movea.l	#$A0002,A1 ; status
loop:
    move.b	#$20,d0
loop2:

    move.b	(a1),d1 ; reading status
    move.b	d1,d2

    andi.b	#$02,d1 ; bit 1 is 1?
    bne		bytecame ; BNE - not 0 - char came

    andi.b	#$01,d2 ; last bit is 0?
    bne		loop2 ; no -> wait

    move.b	d0,(a0) 
    add.b	#$1,d0
    cmpi.b	#$80,d0
    beq		loop
    bra		loop2

bytecame:
    move.b	(a0),d1
    move.b	d1,(a0) ; output it
    bra		loop2
