; IO subrotines without FAST clock. If you use it unstread of byteio_fast,
; remember to comment switching to fast clock after start: in boot.asm
uartstat equ $FF7A0002
uartdata equ $FF7A0000


;------------------ RX char
rx_char:
    bsr	rx_notempt	; while not empty
    beq	rx_char		; loop
    move.b	(uartdata),d0	; read from uart
    cmpi.b	#CTRLC,d0	; CTRL-C? 
    beq	warm	; warm reset
    rts

;------------------ Test input for a char (NOT ZERO if IS)
rx_notempt:
    move.b	(uartstat),d0
    andi.b	#$02,d0 ; bit 1 is 1?
    rts

;------------------ Wait for clear to send -------
tx_rdy_w:
    move.l      d0,-(sp)
tx_rdy_w1:
    bsr tx_rdy
    bne tx_rdy_w1
    move.l      (sp)+,d0
    rts

;------------------ TX char
tx_char:
    bsr	tx_rdy_w
    move.b	d0,(uartdata)
    rts

;----------------- Returns TX ready (Z)
tx_rdy:
    move.b	(uartstat),d0
    andi.b	#$01,d0
    rts

